import { FormBuilder } from '@angular/forms';
import { EventEmitter, AfterViewInit, OnChanges, SimpleChanges } from '@angular/core';
import { NgxTreeService } from '../ngx-tree-lib.service';
import { TreeModel, TreeConfig } from '../models/tree-view.model';
export declare class NgxTreeParentComponent implements AfterViewInit, OnChanges {
    treeService: NgxTreeService;
    private fb;
    treeView: TreeModel[];
    userConfig: TreeConfig;
    showError: boolean;
    renameForm: any;
    ondragstart: EventEmitter<any>;
    ondragenter: EventEmitter<any>;
    ondragleave: EventEmitter<any>;
    ondrop: EventEmitter<any>;
    onallowdrop: EventEmitter<any>;
    ondragend: EventEmitter<any>;
    onadditem: EventEmitter<any>;
    onStartRenameItem: EventEmitter<any>;
    onFinishRenameItem: EventEmitter<any>;
    onStartDeleteItem: EventEmitter<any>;
    onFinishDeleteItem: EventEmitter<any>;
    onCancelDeleteItem: EventEmitter<any>;
    config: TreeConfig;
    private current_language;
    language: string;
    treeData: TreeModel[];
    constructor(treeService: NgxTreeService, fb: FormBuilder);
    ngOnChanges(changes: SimpleChanges): void;
    setConfig(config: any): void;
    setValue(item: any, config: any): void;
    enableSubscribers(): void;
    getTreeData(userTree: any): void;
    createForm(): void;
    enableRootRenameMode(): void;
    submitAdd(name: any): void;
    submitRootRename(): void;
    ngAfterViewInit(): void;
}
